# Nft events service

The Events Service is responsible for retrieving information about events that occur on the blockchain. By utilizing various parameters within the available endpoints, we can refine our queries to obtain more precise details.

Swagger: <https://api.metaproprotocol.com/ms/nft-events/docs/#/>

***

This group of endpoints allows to retrieval of information about a user's blockchain-related activities. You can obtain details about various types of transactions, such as creation, purchase, and token transfers, along with timestamps and other relevant data.

{% openapi src="<https://api.metaproprotocol.com/ms/nft-events/docs-json>" path="/v1/user-events/{address}" method="get" %}
<https://api.metaproprotocol.com/ms/nft-events/docs-json>
{% endopenapi %}

**Example cURL**

```powershell
curl -X 'GET' \
  'https://api.metaproprotocol.com/ms/nft-events/v1/user-events/0x832735f45299c8b6f7263e758cadba766459cd21?createdAt=desc' \
  -H 'accept: application/json'
```

This group of endpoints allows to retrieval of activity history related to tokens. You can obtain details about events and transactions associated with tokens on your marketplace.

{% openapi src="<https://api.metaproprotocol.com/ms/nft-events/docs-json>" path="/v1/token-events" method="get" %}
<https://api.metaproprotocol.com/ms/nft-events/docs-json>
{% endopenapi %}

**Example cURL**

```powershell
curl -X 'GET' \
  'https://api.metaproprotocol.com/ms/nft-events/v1/token-events?createdAt=desc' \
  -H 'accept: application/json'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metaproprotocol.com/metapro-protocol/api/nft-events-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
